# $Revision: 1.27.2.3 $, $Date: 2006/05/18 20:23:48 $
Summary:	GNOME Power Manager
Summary(pl):	Zarzdca energii dla GNOME
Name:		gnome-power-manager
Version:	2.14.3
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gnome-power-manager/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	431448b680b47df68a42f233cc2699fe
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/projects/gnome-power-manager/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.60
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	glib2-devel
BuildRequires:	hal-devel >= 0.5.6
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 2.14.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Obsoletes:	gnome-power
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
Requires:	dbus-X11 >= 0.60
Requires:	gnome-session >= 2.14.0
Requires:	notification-daemon >= 0.3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses of GNOME Power Manager infrastructure
- A dialogue that warns the user when on UPS power, that automatically
  begins a kind shutdown when the power gets critically low.
- An icon that allows a user to dim the LCD screen with a slider, and
  does do automatically when going from mains to battery power on a
  laptop.
- An icon, that when an additional battery is inserted, updates it's
  display to show two batteries and recalculates how much time
  remaining. Would work for wireless mouse and keyboards, UPS's and
  PDA's.
- A daemon that does a clean shutdown when the battery is critically
  low or does a soft-suspend when you close the lid on your laptop (or
  press the "suspend" button on your PC).
- Tell Totem to use a codec that does low quality processing to
  conserve battery power.
- Postpone indexing of databases (e.g. up2date) or other heavy
  operations until on mains power.
- Presentation programs / movie players don't want the screensaver
  starting or screen blanking.

%description -l pl
Zastosowania infrastruktury zarzdcy energii GNOME:
- okno dialogowe ostrzegajce uytkownika o zasilaniu z UPS-a,
  automatycznie rozpoczynajce uprzejme zamykanie systemu, kiedy
  zasilanie jest w stanie krytycznym
- ikona umoliwiajca uytkownikowi przyciemnienie ekranu LCD przy
  uyciu suwaka i robi to automatycznie przy przeczaniu z gwnego
  rda zasilania na baterie w laptopie
- ikona, ktra po dooeniu dodatkowej baterii uaktualnia wskanik,
  aby pokazywa dwie baterie i przelicza ilo pozostaego czasu;
  powinna dziaa dla bezprzewodowych myszy i klawiatur, UPS-w i PDA
- demon wykonujcy czyste zamknicie systemu kiedy bateria jest w
  stanie krytycznym i wykonujcy zamroenie systemu (soft-suspend)
  przy zamykaniu pokrywy laptopa (albo naciniciu przycisku
  "suspend")
- informowanie Totema, aby uywa kodeka o niszej jakoci w celu
  zaoszczdzenia energii baterii
- wstrzymywanie indeksowania baz danych (np. up2date) i innych
  cikich operacji do czasu podczenia gwnego rda zasilania
- zapobieganie uruchomienia screensaverw i wygaszaniu ekranu podczas
  dziaania programw prezentacyjnych i odtwarzaczy filmw

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	autostartdir=%{_datadir}/gnome/autostart

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-power-manager.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall gnome-power-manager.schemas

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/*
%{_datadir}/gnome/autostart/gnome-power-manager.desktop
%{_datadir}/dbus-1/services/*.service
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_omf_dest_dir}/gnome-power-manager/gnome-power-manager-C.omf
%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-power-manager.spec,v $
Revision 1.27.2.3  2006/05/18 20:23:48  baggins
- release 3
- strict reqs

Revision 1.27.2.2  2006/05/17 21:54:41  baggins
- rel 2
- R: dbus-X11

Revision 1.27.2.1  2006/05/15 22:55:13  baggins
- recent BRs

Revision 1.27  2006/04/28 16:46:07  freetz
- 2.14.3

Revision 1.26  2006/04/25 16:24:41  freetz
- 2.14.2

Revision 1.25  2006/04/09 14:59:11  freetz
- 2.14.1

Revision 1.24  2006/04/02 15:43:57  freetz
- merged from DEVEL

Revision 1.21.2.9  2006/03/14 13:53:11  freetz
- 2.14.0

Revision 1.21.2.8  2006/03/03 22:56:41  freetz
- 2.13.93, fixes dbus 0.61 API breakage

Revision 1.21.2.7  2006/02/28 15:44:28  freetz
- fixed one more time autostart dir location, rel.2

Revision 1.21.2.6  2006/02/26 15:25:06  freetz
- 2.13.92

Revision 1.21.2.5  2006/02/21 17:43:36  freetz
- 2.13.91

Revision 1.21.2.4  2006/02/16 08:30:08  freetz
- 2.13.90, fix autostart dir

Revision 1.21.2.3  2006/01/31 15:38:18  freetz
- polished a bit

Revision 1.21.2.2  2006/01/31 15:30:09  freetz
- 2.13.5

Revision 1.21.2.1  2006/01/17 14:45:28  patrys
- up to 0.3.4
- requires hal-0.5.6
- NFY

Revision 1.23  2006/04/01 18:28:54  aredridel
- BR: xorg-lib-libXres-devel

Revision 1.22  2006/02/08 19:25:41  patrys
- updated URL

Revision 1.21  2005/11/29 19:08:47  patrys
- up to 0.3.1

Revision 1.20  2005/11/15 22:56:16  freetz
- 0.3.0, new URL

Revision 1.19  2005/10/27 18:07:15  freetz
- 0.2.8.1

Revision 1.18  2005/10/19 20:48:15  freetz
- 0.2.8

Revision 1.17  2005/10/06 20:47:25  patrys
- add notification support for PLD

Revision 1.16  2005/10/06 20:05:59  patrys
- fully tested
- rel. up to 1

Revision 1.15  2005/10/06 19:58:46  patrys
- up to 0.2.6
- added TODO

Revision 1.14  2005/09/29 22:13:17  patrys
- added missing BR:

Revision 1.13  2005/09/08 16:06:19  wrobell
- ver. 0.2.2.1

Revision 1.12  2005/09/06 16:08:41  wrobell
- fixed schema installation and uninstallation (bug introduced due to
  change of name from gnome-power to gnome-power-manager)
- rel. 2

Revision 1.11  2005/09/05 12:43:35  wrobell
- md5 updated

Revision 1.10  2005/09/05 12:24:41  wrobell
- ver. 0.2.0
- s/gnome-power/gnome-power-manager

Revision 1.9  2005/07/12 18:45:27  freetz
- 0.1.0, removed schemas patch

Revision 1.8  2005/07/05 13:33:46  freetz
- desktop patch added

Revision 1.7  2005/07/05 13:23:48  freetz
- use macros for ac/am rebuild, schemas patch added, ready for
  international files

Revision 1.6  2005/06/20 20:37:58  wrobell
- ver. 0.0.5

Revision 1.5  2005/05/20 21:09:02  qboosh
- pl

Revision 1.4  2005/05/20 13:05:51  paladine
- and more BRs

Revision 1.3  2005/05/20 13:01:12  paladine
- more BRs and missing R
- cosmetics
- rel. 0.2

Revision 1.2  2005/05/20 09:06:56  spider
- adaptarized

Revision 1.1  2005/05/19 20:33:08  wrobell
- based on template
